MCP Tools Reference: slidesmcp.googleapis.com

도구: read_presentation

Google Slides 프레젠테이션의 JSON 표현을 읽습니다.

REST API의 presentations.get에 해당합니다.

다음 샘플은 curl를 사용하여 read_presentation MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_presentation",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

프레젠테이션을 읽도록 요청합니다.

ReadPresentationRequest

JSON 표현
{
  "presentationId": string
}
필드
presentationId

string

필수 항목입니다. 콘텐츠를 읽어올 프레젠테이션의 ID입니다.

출력 스키마

프레젠테이션의 JSON 표현이 포함된 응답입니다.

ReadPresentationResponse

JSON 표현
{
  "content": string
}
필드
content

string

Google Slides 프레젠테이션의 JSON 표현입니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ✅